import { setup as setupSDK } from "@/sdk/QJKanKan/modules";
import Deferred from "@/sdk/utils/Deferred";
import Emiter from '@/sdk/utils/Emiter'

export default class QJKanKan  extends Emiter {
  static MITT = { Emiter }
  static Deferred = Deferred;

  constructor(options) {
    super()
    setupSDK(this)
    this.options = {
      ...options,
    }
    this.krpanoDom = null;
  }
  

  render() {
    this.Scene.start()
  }

  


}
